#!/bin/bash

API_KEY='c27cb71cff5bd76e1a7a009380562c62'

CONFIG=~/.mythtv/config.xml
DBSERV=`cat $CONFIG | grep DBHostName | perl -p -e 's/^[ ]*//;s/<.*?>//g'`
DBUSER=`cat $CONFIG | grep DBUserName | perl -p -e 's/^[ ]*//;s/<.*?>//g'`
DBPASS=`cat $CONFIG | grep DBPassword | perl -p -e 's/^[ ]*//;s/<.*?>//g'`
DBNAME=`cat $CONFIG | grep DBName | perl -p -e 's/^[ ]*//;s/<.*?>//g'`

MYSQL="mysql -u${DBUSER} -p${DBPASS} -h${DBSERV} ${DBNAME}"

IDLIST=`echo 'select intid from videometadata where inetref regexp "[0-9]{7}" and inetref <> 0' | $MYSQL | grep -v intid`

for INTID in $IDLIST
do
    IMDBID=`echo "select inetref from videometadata where intid=$INTID" | $MYSQL | grep -v inetref`
    TMDBRES=`wget "http://api.themoviedb.org/2.0/Movie.imdbLookup?imdb_id=tt${IMDBID}&api_key=${API_KEY}" -O - -q`
    TMDBID=`echo $TMDBRES | perl -p -e 's/.*<id>(\d*)<\/id>.*/$1/'`
    echo "Moving $INTID from $IMDBID to $TMDBID"
    echo "update videometadata set inetref=${TMDBID} where intid=${INTID}" | $MYSQL
    sleep 2
done
